ZORPCTL(8)

NAME
zorpctl - Start and stop zorp instances.

SYNOPSIS

zorpctl command [options [instances/@instance-list-file]]

DESCRIPTION

zorpctl starts and stops zorp(8) instances based on the contents of the instances.conf(5) file. Multiple instance names can be specified in the command-line or in a file to start or stop several instances. If an error occurs while stopping or starting an instance, an exclamation mark is appended to the instance name as zorpctl processes the request, and a summary is printed when the program exits. If no instance is specified, the command is executed on all instances. The instances to be controlled can be specified in a file instead of listing them in the command line, e.g.: zorpctl command options instances.txt. The instances.txt should contain every instance name in a new line.

COMMANDS

start
    Starts the specified Zorp instance(s).

force-start
    Starts the specified Zorp instance(s) even if they are disabled.

stop
    Stops the specified Zorp instance(s).

force-stop
    Forces the specified Zorp instance(s) to stop using the KILL signal.

restart
    Restart the specified Zorp instance(s).

force-restart
    Forces the specified Zorp instance(s) to restart by stopping them using the KILL signal.

reload
    Reload the specified Zorp instance(s).

status
    Display the status of the specified Zorp instance(s).

    --verbose or -v
        Display detailed status information.

gui-status
    Display the status of the specified Zorp instance(s) in an internal format easily parsable by ZMC. NOTE: This command is mainly used internally within Zorp, and the structure of its output may change.

version
    Display version information on Zorp.

inclog
    Raise the verbosity (log) level of the specified Zorp instance(s) by one.

declog
    Decrease the verbosity (log) level of the specified Zorp instance(s) by one.

log
    Change various log related settings in the specified Zorp instance(s) using the following options:

    --vinc or -i
        Increase verbosity level by one.

    --vdec or -d
        Decrease verbosity level by one.

    --vset <verbosity> or -s <verbosity>
        Set verbosity level to <verbosity>.

    --log-spec <spec> or -S <spec>
        Set verbosity mask on a per category basis. The format of this value is described in zorp(8).

    --help or -h
        Display this help screen on the options of the log command.

szig
    Display internal information from the specified Zorp instance(s). The information to be disblayed can be specified with the following options:

    --walk or -w
        Walk the specified tree.

    --root [node] or -r [node]
        Set the root node of the walk operation to [node].

    --help or -h
        Display a brief help on the options of the szig command.

help
    Display a brief help message.

EXAMPLES

zorpctl start zorp_ftp

The command above starts the zorp instance named zorp-ftp with parameters described in the instances.conf file.

FILES

The default location for instances.conf is /etc/zorp/instances.conf.

AUTHOR

This manual page was written by the BalaSys Documentation Team <documentation@balasys.hu>.

COPYRIGHT

Copyright © 2006-2015 BalaBit IT Security, 2015-2017 BalaSys IT Security. All rights reserved.